unfold_right.hpp File Reference

Forward declares `boost::hana::unfold_right`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

template<typename S >
constexpr auto | boost::hana::unfold_right
| Dual operation to `fold_right` for sequences.While `fold_right` reduces a structure to a summary value from the right, `unfold_right` builds a sequence from a seed value and a function, starting from the right. More...

## Detailed Description

Forward declares `boost::hana::unfold_right`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)